extends Node

class_name BasisInteraction

export var auto_connect_on_ready := true

func _ready():
	init()
	if auto_connect_on_ready:
		get_parent().connect("on_interact", self, "on_interact")

func init():
	pass

func on_interact():
	print("interact")
